package cn.superdesk.uniorder.dao.entity.operationCenter;

import java.util.Date;

public class OperationCenterSettlementStrategy {
    private Long id;

    private String name;

    private Byte orderSettlementAmount;

    private Byte orderGoodsSettlementUnitPrice;

    private Byte orderGoodsSettlementTotalPrice;

    private Byte isDefault;

    private Date createTime;

    private Long createUserId;

    private Date updateTime;

    private Long updateUserId;

    private Byte deleted;

    private Byte enabled;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Byte getOrderSettlementAmount() {
        return orderSettlementAmount;
    }

    public void setOrderSettlementAmount(Byte orderSettlementAmount) {
        this.orderSettlementAmount = orderSettlementAmount;
    }

    public Byte getOrderGoodsSettlementUnitPrice() {
        return orderGoodsSettlementUnitPrice;
    }

    public void setOrderGoodsSettlementUnitPrice(Byte orderGoodsSettlementUnitPrice) {
        this.orderGoodsSettlementUnitPrice = orderGoodsSettlementUnitPrice;
    }

    public Byte getOrderGoodsSettlementTotalPrice() {
        return orderGoodsSettlementTotalPrice;
    }

    public void setOrderGoodsSettlementTotalPrice(Byte orderGoodsSettlementTotalPrice) {
        this.orderGoodsSettlementTotalPrice = orderGoodsSettlementTotalPrice;
    }

    public Byte getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Byte isDefault) {
        this.isDefault = isDefault;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Byte getDeleted() {
        return deleted;
    }

    public void setDeleted(Byte deleted) {
        this.deleted = deleted;
    }

    public Byte getEnabled() {
        return enabled;
    }

    public void setEnabled(Byte enabled) {
        this.enabled = enabled;
    }
}